    A one-dimensional Blackbody model (frequency).

bbodyfreq

This model can be used when the independent axis is in frequency space.

>>> create_model_component("bbodyfreq", "mdl")
>>> print(mdl)

Create a component of the bbodyfreq model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.T thawed 1e+06 1000 1e+10 mdl.ampl thawed 1 0 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
T
The temperature if the blackbody, in Kelvin.
ampl
The amplitude of the blackbody component.

Notes

The blackbody emission is calculated as a function of frequency (v) using Wien's law (hv >> kT):

f(v) = ampl * 2 * h * v^3 * exp(-h * v / (k * T)) / c^2

where T is the blackbody temperature in Kelvin, h is Planck's constant, k is Boltzmann's constant, and c the speed of light.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023